# Method: projects.snapshots.delete

- [HTTP request](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.snapshots/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.snapshots/delete#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.snapshots/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.snapshots/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.snapshots/delete#body.aspect)
- [Try it!](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.snapshots/delete#try-it)

Removes an existing snapshot. Snapshots are used in [subscriptions.seek](https://cloud.google.com/pubsub/docs/replay-overview) operations, which allow you to manage message acknowledgments in bulk. That is, you can set the acknowledgment state of messages in an existing subscription to the state captured by a snapshot. When the snapshot is deleted, all messages retained in the snapshot are immediately dropped. After a snapshot is deleted, a new one may be created with the same name, but the new one has no association with the old snapshot or its subscription, unless the same subscription is specified.

### HTTP request

Choose a location:
<button value="global" default="">global</button>   
`DELETE https://pubsub.googleapis.com/v1/{snapshot}`

<br />

### Path parameters

| Parameters ||
|---|---|
| `snapshot` | `string` Required. The name of the snapshot to delete. Format is `projects/{project}/snapshots/{snap}`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/pubsub`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).